<form [formGroup]="form">

    <mat-form-field>
      <mat-label>Nro de confirmación:</mat-label>
      <input matInput placeholder="Nro de Confirmación" id="reference" name="reference" formControlName="reference"
        required>
    </mat-form-field>
  
    <mat-form-field>
      <mat-label>Fecha</mat-label>
      <input matInput [matDatepicker]="picker" [max]="maxDate" placeholder="Fecha del pago" name="date" id="date"
        formControlName="date" required>
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
  
    <mat-form-field>
      <mat-select placeholder="Banco receptor" formControlName="bankRec" id="bankRec" name="bankRec" required>
        <!--  <mat-option *ngFor="let bank of vpBanks" [id]="bank.id" [value]="bank.id">{{bank.entity_name}} </mat-option> --> 
        <mat-option [id]="1" [value]="1">Banco 1</mat-option>
        <mat-option [id]="2" [value]="2">Banco 2</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Observaciones:</mat-label>
      <textarea matInput placeholder="Observaciones" name="observation" id="observation"
        formControlName="observation"></textarea>
    </mat-form-field>
    <div class="flex-end">
      <button mat-raised-button color="primary" id="save" (click)="save()" [disabled]="form.invalid">Siguiente</button>
    </div>
  </form>
  